# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name: praiskup-helpers
Version: 0.1.git.142
Release: 1%{?dist}
Summary: Helpers of Pavel Raiskup

BuildArch: noarch

License: GPLv3+
URL: https://github.com/praiskup/helpers
Source0: helpers-%version.tar.gz

BuildRequires: make
Requires: ansible
Requires: /usr/bin/virt-resize
Requires: /usr/bin/guestfish
Requires: /usr/bin/virsh

%description


%prep
%setup -q -n helpers-%version


%build
%configure
make %{?_smp_mflags}


%install
%make_install
sed '1 s|^.*$|#! /usr/bin/python3|' -i %buildroot%_bindir/wait-for-ssh


%files
%_bindir/eimg-*
%_bindir/copr-*
%_libexecdir/eimg-*
%_bindir/copr-*-aws-instance
%_bindir/fix-fedora-cloud-image
%_bindir/wait-for-ssh
%dir %_datadir/eimg
%_datadir/eimg/lib
%_datadir/eimg/files
%dir %_sysconfdir/eimg
%config(noreplace) %_sysconfdir/eimg/eimg.sh
%_datadir/eimg/ansible-container

%changelog
* Sat Mar 27 2021 Pavel Raiskup <praiskup@redhat.com> - 0.0
- no rpm changelog from git builds
